#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xA8,0x8D,0x0A,0x6D,0xEC,0x4A,0xF9,0x83,0x65,0x40,0x02,0x14,
		0xA9,0xF7,0x01,0x19,0xDA,0x58,0x55,0x22,0xA4,0xA7,0xC4,0xBE,
		0x98,0x46,0xEB,0xF3,0xD2,0xB8,0x16,0xA3,0xCC,0xE8,0x0D,0x99,
		0x5E,0xF6,0x68,0xA6,0x0A,0x06,0x61,0xED,0x10,0x61,0x34,0xE0,
		0xFC,0xCC,0x7D,0x23,0x65,0xAC,0x73,0xBF,0x14,0xB5,0x34,0x8C,
		0x83,0x59,0x39,0x73,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
